<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Accounts</title>
    </head>
    <body>
        <nav>
            <ul>
                {% if user.is_authenticated %}
                    <li>
                        <a href="{% url "home" %}">Reciept List</a>
                        <a href="{% url "account_list" %}">Account List</a>
                        <a href="{% url "category_list" %}">Expense Category List</a>
                        <a href="{% url "create_receipt" %}">Create Receipt</a>
                        <a href="{% url "create_account" %}">Create Account</a>
                        <a href="{% url "create_category" %}">Create Expense Category</a>
                        <a href="{% url "logout" %}">Logout</a>
                    </li>
                {% else %}
                    <li>
                        <a href="{% url "signup" %}">Sign Up</a>
                    </li>
                    <li>
                        <a href="{% url "login" %}">Login</a>
                    </li>
                {% endif %}
            </ul>
        </nav>
        <table>
            <thead>
                <th>Name</th>
                <th>Number of receipts</th>
            </thead>
            <tbody>
                {% for category in list %}
                    <tr>
                        <td>{{ category.name }}</td>
                        <td>{{ category.receipts.length }}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    </body>
</html>
